DECLARE @PR履歴No int
DECLARE @商品No int
DECLARE @顧客No int
DECLARE @登録スタッフNo int
DECLARE @広告No int
DECLARE @プロモーション予定No int
DECLARE @プロモーション実績No int
DECLARE @PR区分No int
DECLARE @総費用 int
DECLARE @対象商品総数 int
DECLARE @対象既存顧客総数 int
DECLARE @有効日数内の総売上 int
DECLARE @新規顧客獲得数 int
DECLARE @見込顧客獲得数 int
DECLARE @掘起し顧客数 int
DECLARE @更新スタッフNo int
DECLARE @年 int
DECLARE @年月 int
DECLARE @月 int
DECLARE @R int
DECLARE @F int
DECLARE @M int
DECLARE @G int
DECLARE @B int
DECLARE @コンタクト履歴No int
DECLARE @バウンドNo int
DECLARE @ツールNo int
DECLARE @コンタクトスタッフNo int
DECLARE @スタッフNo int
DECLARE @役職No int
DECLARE @権限No int
DECLARE @画面No int
DECLARE @区分 int
DECLARE @可不可 int
DECLARE @性別 int
DECLARE @メルマガ許諾 int
DECLARE @家族構成No int
DECLARE @家族区分 int
DECLARE @補足名No int
DECLARE @顧客補足No int
DECLARE @購入済み商品No1 int
DECLARE @購入済み商品No2 int
DECLARE @購入済み商品No3 int
DECLARE @RFMランク int
DECLARE @RFM種別 int
DECLARE @ランク int
DECLARE @販売数 int
DECLARE @商品単価 int
DECLARE @元商品No int
DECLARE @動向No int
DECLARE @PR名 varchar
DECLARE @広告名 varchar
DECLARE @内容 varchar
DECLARE @担当者名 varchar
DECLARE @TEL varchar
DECLARE @FAX varchar
DECLARE @メールアドレス varchar
DECLARE @URL varchar
DECLARE @備考 varchar
DECLARE @操作端末名 varchar
DECLARE @操作スタッフ氏名 varchar
DECLARE @操作画面 varchar
DECLARE @操作内容 varchar
DECLARE @件名 varchar
DECLARE @本文 varchar
DECLARE @スタッフID varchar
DECLARE @パスワード varchar
DECLARE @氏名 varchar
DECLARE @値 varchar
DECLARE @顧客ID varchar
DECLARE @氏名カナ varchar
DECLARE @郵便番号 varchar
DECLARE @住所 varchar
DECLARE @補足内容 varchar
DECLARE @商品ID varchar
DECLARE @商品名 varchar
DECLARE @公開予定日 datetime
DECLARE @公開実施日 datetime
DECLARE @予定期間fr datetime
DECLARE @予定期間to datetime
DECLARE @公開予定日fr datetime
DECLARE @公開予定日to datetime
DECLARE @公開実施日fr datetime
DECLARE @公開実施日to datetime
DECLARE @実施期間fr datetime
DECLARE @実施期間to datetime
DECLARE @休眠対象日 datetime
DECLARE @販売日時fr datetime
DECLARE @販売日時to datetime
DECLARE @操作日fr datetime
DECLARE @操作日to datetime
DECLARE @コンタクト日時 datetime
DECLARE @生年月日 datetime
DECLARE @計算対象開始日時 datetime
DECLARE @計算対象終了日時 datetime

SET @PR履歴No = 1
SET @商品No = 1
SET @顧客No = 1
SET @登録スタッフNo = 1
SET @広告No = 1
SET @プロモーション予定No = 1
SET @プロモーション実績No = 1
SET @PR区分No = 1
SET @総費用 = 1
SET @対象商品総数 = 1
SET @対象既存顧客総数 = 1
SET @有効日数内の総売上 = 1
SET @新規顧客獲得数 = 1
SET @見込顧客獲得数 = 1
SET @掘起し顧客数 = 1
SET @更新スタッフNo = 1
SET @年 = 1
SET @年月 = 1
SET @月 = 1
SET @R = 1
SET @F = 1
SET @M = 1
SET @G = 1
SET @B = 1
SET @コンタクト履歴No = 1
SET @バウンドNo = 1
SET @ツールNo = 1
SET @コンタクトスタッフNo = 1
SET @スタッフNo = 1
SET @役職No = 1
SET @権限No = 1
SET @画面No = 1
SET @区分 = 1
SET @可不可 = 1
SET @性別 = 1
SET @メルマガ許諾 = 1
SET @家族構成No = 1
SET @家族区分 = 1
SET @補足名No = 1
SET @顧客補足No = 1
SET @購入済み商品No1 = 1
SET @購入済み商品No2 = 1
SET @購入済み商品No3 = 1
SET @RFMランク = 1
SET @RFM種別 = 1
SET @ランク = 1
SET @販売数 = 1
SET @商品単価 = 1
SET @元商品No = 1
SET @動向No = 1
SET @PR名 = 'a'
SET @広告名 = 'a'
SET @内容 = 'a'
SET @担当者名 = 'a'
SET @TEL = 'a'
SET @FAX = 'a'
SET @メールアドレス = 'a'
SET @URL = 'a'
SET @備考 = 'a'
SET @操作端末名 = 'a'
SET @操作スタッフ氏名 = 'a'
SET @操作画面 = 'a'
SET @操作内容 = 'a'
SET @件名 = 'a'
SET @本文 = 'a'
SET @スタッフID = 'a'
SET @パスワード = 'a'
SET @氏名 = 'a'
SET @値 = 'a'
SET @顧客ID = 'a'
SET @氏名カナ = 'a'
SET @郵便番号 = 'a'
SET @住所 = 'a'
SET @商品ID = 'a'
SET @商品名 = 'a'
SET @公開予定日 = '2002/1/11'
SET @公開実施日 = '2002/1/11'
SET @実施期間fr = '2002/1/11'
SET @実施期間to = '2003/7/11'
SET @休眠対象日 = '2001/7/15'
SET @予定期間fr = '2001/7/15'
SET @予定期間to = '2001/7/15'
SET @公開予定日fr = '2002/1/11'
SET @公開予定日to = '2002/1/11'
SET @公開実施日fr = '2002/1/11'
SET @公開実施日to = '2002/1/11'
SET @販売日時fr = '2002/1/11'
SET @販売日時to = '2002/1/11'
SET @操作日fr = '2002/1/11'
SET @操作日to = '2002/1/11'
SET @コンタクト日時 = '2002/1/11'
SET @生年月日 = '2002/1/11'
SET @計算対象開始日時 = '2002/1/11'
SET @計算対象終了日時 = '2002/1/11'



---- Fill
--SELECT
--	組織No,
--	商品No, 
--	商品ID, 
--	商品名, 
--	商品単価
--FROM
--	M02商品
--WHERE
--	組織No = @組織No
SELECT
	商品No,
	商品ID,
	商品名,
	商品単価
FROM
	M02商品


---- FillBy直近変更販売履歴
SELECT
	商品No,
	商品ID,
	商品名, 
	商品単価
FROM
	H01販売履歴
WHERE
	DATEADD(dd, -1, GETDATE()) < 更新日時


---- DeleteALL
--DELETE FROM M02商品
--WHERE
--	組織No = @組織No
DELETE FROM M02商品


---- Delete販売履歴で使われていない商品
--DELETE FROM M02商品
--WHERE
--	組織No = @組織No AND
--	商品ID NOT IN (
--		SELECT
--			DISTINCT 商品ID
--		FROM
--			H01販売履歴
--		WHERE
--			組織No = @組織No
--	)
DELETE FROM M02商品
WHERE
	商品ID NOT IN
	(
		SELECT
			DISTINCT 商品ID
		FROM
			H01販売履歴
	)


---- FillBy商品No取得
--SELECT
--	組織No,
--	商品ID, 
--	商品No, 
--	商品単価, 
--	商品名
--FROM
--	M02商品
--WHERE
--	組織No = @組織No AND
--	商品ID = @商品ID
SELECT
	商品ID,
	商品No,
	商品単価,
	商品名
FROM
	M02商品
WHERE
	(商品ID = @商品ID)


---- Scalar同一商品ID
--SELECT
--	COUNT(商品ID) AS Cnt
--FROM
--	M02商品
--WHERE
--	組織No = @組織No AND
--	商品ID = @商品ID
SELECT
	COUNT(商品ID) AS Cnt
FROM
	M02商品
WHERE
	(商品ID = @商品ID)


---- InsertCommand
--INSERT INTO M02商品 (
--	組織No,
--	商品ID, 
--	商品名, 
--	商品単価,
--	登録ユーザーNo,
--	登録日時,
--	更新ユーザーNo,
--	更新日時
--) VALUES (
--	@組織No,
--	@商品ID,
--	@商品名,
--	@商品単価,
--	@登録ユーザーNo,
--	GETDATE(),
--	@登録ユーザーNo,
--	GETDATE()
--)
INSERT INTO M02商品 (
	商品ID,
	商品名,
	商品単価
) VALUES (
	@商品ID,
	@商品名,
	@商品単価
)

---- UpdateCommand
--UPDATE
--	M02商品
--SET
--	商品名 = @商品名, 
--	商品単価 = @商品単価
--WHERE
--	組織No = @組織No AND
--	商品No = @商品No
UPDATE
	M02商品
SET
	商品名 = @商品名,
	商品単価 = @商品単価
WHERE
	(商品No = @商品No)


